//### WS@H Project:PDFelement ###
//
//  PEFormFormateEnum.h
//  PDF Editor
//
//  Created by 徐俊 on 12-11-26.
//  Copyright 2012 Wondershare. All rights reserved.
//

//#include "FormatJs.h"

enum
{
	PETimeFormat_HH_colon_MM,// = nsFormatJavaScript::FormatJsTimeFormat::HH_colon_MM,            /**< @brief  HH:MM  */
	PETimeFormat_h_colon_MM_tt,// = nsFormatJavaScript::FormatJsTimeFormat::h_colon_MM_tt,          /**< @brief  h:MM tt  */
	PETimeFormat_HH_colon_MM_colon_ss,// = nsFormatJavaScript::FormatJsTimeFormat::HH_colon_MM_colon_ss,   /**< @brief  HH:MM:ss  */
	PETimeFormat_h_colon_MM_colon_ss_tt,// = nsFormatJavaScript::FormatJsTimeFormat::h_colon_MM_colon_ss_tt, /**< @brief  h:MM:ss tt  */
	PETimeFormat_Customized,// = nsFormatJavaScript::FormatJsTimeFormat::Customized             /**< @brief  自定义. */
};
typedef NSInteger PETimeFormatStyle;

enum 
{
	PENumberFormatNegativeNumberNone,// = nsFormatJavaScript::FormatJsNumberFormat::NegativeNumberNone,           /**< @brief 无. */
	PENumberFormatUseRedText,// = nsFormatJavaScript::FormatJsNumberFormat::UseRedText,                   /**< @brief 使用红色文本. */
	PENumberFormatShowParentheses,// = nsFormatJavaScript::FormatJsNumberFormat::ShowParentheses,              /**< @brief 显示圆括号. */
	PENumberFormatShowParenthesesAndUseRedText,// = nsFormatJavaScript::FormatJsNumberFormat::ShowParenthesesAndUseRedText  /**< @brief 显示圆括号并且使用红色文本. */
};
typedef NSInteger PENumberformatNegativeNumberStyle;

enum  {
	PEFormtat,// = nsFormatJavaScript::FormatJs::Format,
	PEValidate,// = nsFormatJavaScript::FormatJs::Validate,
	PECalculate,// = nsFormatJavaScript::FormatJs::Calculate
};
typedef NSInteger PEType;

enum {
	PEFormNumberSeparatorStyle1,// = nsFormatJavaScript::FormatJsMathFormat::SeparatorStyle_1_comma_234_dot_56,  //1,234.56
	PEFormNumberSeparatorStyle2,// = nsFormatJavaScript::FormatJsMathFormat::SeparatorStyle_1234_dot_56,  //1234.56
	PEFormNumberSeparatorStyle3,// = nsFormatJavaScript::FormatJsMathFormat::SeparatorStyle_1_dot_234_comma_56,  //1.234,56
	PEFormNumberSeparatorStyle4,// = nsFormatJavaScript::FormatJsMathFormat::SeparatorStyle_1234_comma_56,  //1234,56
};
typedef NSInteger PEFormNumberSeparatorStyle;



enum {
	PEFormMoneySymbolNone,
	PEFormMoneySymbolDollar,
	PEFormMoneySymbolDeutschmark,
	PEFormMoneySymbolEuro,
	PEFormMoneySymbolGuilder,
	PEFormMoneySymbolFranc,
	PEFormMoneySymbolKrona,
	PEFormMoneySymbolLira,
	PEFormMoneySymbolPeseta,
	PEFormMoneySymbolPound,
	PEFormMoneySymbolYen
};
typedef NSInteger  PEFormMoneySymbol;


enum {
	PEFormFormateTypeNone = 100,
	PEFormFormateTypeNumber = 0,// = nsFormatJavaScript::FormatJsFormat::NumberFormat,
	PEFormFormateTypePercentage,// = nsFormatJavaScript::FormatJsFormat::PercentFormat,
	PEFormFormateTypeDate,// = nsFormatJavaScript::FormatJsFormat::DateFormat,
	PEFormFormateTypeTime,// = nsFormatJavaScript::FormatJsFormat::TimeFormat,
	PEFormFormateTypeSpecial,// = nsFormatJavaScript::FormatJsFormat::SpecialFormat,
	PEFormFormateTypeCustom,// = nsFormatJavaScript::FormatJsFormat::CustomFormat
};
typedef NSInteger  PEFormFormateType;

enum  {
	PEFormFormateSpecialStyleZipCode,// = nsFormatJavaScript::FormatJsSpecialFormat::ZipCode,
	PEFormFormateSpecialStyleZipCode4,// = nsFormatJavaScript::FormatJsSpecialFormat::ZipCode_plus_4,
	PEFormFormateSpecialStylePhoneNumber,// = nsFormatJavaScript::FormatJsSpecialFormat::PhoneNumber,
	PEFormFormateSpecialStyleSocialSecurityNumber,// = nsFormatJavaScript::FormatJsSpecialFormat::SocialSecurityNumber,
	PEFormFormateSpecialStyleArbitraryMask,// = nsFormatJavaScript::FormatJsSpecialFormat::ArbitraryMask
};

typedef NSInteger PEFormFormateSpecialStyle;


















